Bug 9055 - Не работает с SVN
: Не работает с SVN
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kdevelop)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-02-11 19:59 by
Modified: 2007-08-14 18:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-02-11 19:59:53
При указании через мастер создания нового проекта пути до репозитания ничего в
репозитарии не происходит, а на локальном диске даже не создаётся директория
проекта.
В случае выбора в мастере "ничего не делать" всё работает нормально, но в GUI
нет ни одного упоминания о системе упрравления версиями.
------- Comment #1 From 2007-05-03 12:15:02 -------
Проследуем по шагам:
1.
Запускаем kdevelop

2.
Выбераем в менюшке:
Проект->Новый проект

3.
Указываем: тип проекта, имя проекта, расположение (/home/stanv/tmp/eleven).

4.
Нажимаем "вперед"

5.
На шаге: "Система управления версиями" в выпадающем списке выбираем: "Subversion"

Внимательно читаем что нам предлагают на данном этапе:
Do not do anything - 
Adds subversion menus to project. NOTE. Unless you import the project out of
kdevelop, you will not be able to perfom any subversion operations.

Create a project tree and import new project into trunk -
Creates project, imports it into the subversion repository and checks it out as
working copy. NOTE. The repository has to exist. eg. been created with svnadmin.

Создаем репозитарий SNV:
svnadmin create --fs-type fsfs /home/stanv/tmp/svn

Указываем папку /home/stanv/tmp/svn
в пункте "Create a project tree and import new project into trunk"

Проект создан по указаному расположению:
$ pwd
/home/stanv/tmp/eleven
$ ls
AUTHORS       configure.in  eleven.kdevelop      install-sh    missing        src
ChangeLog     COPYING       eleven.kdevelop.pcs  ltmain.sh     mkinstalldirs 
templates
config.guess  depcomp       eleven.kdevses       Makefile.am   NEWS           TODO
config.sub    Doxyfile      INSTALL              Makefile.cvs  README

Плюс в репозитории:
svnlook tree /home/stanv/tmp/svn
/
 trunk/
  mkinstalldirs
  AUTHORS
  eleven.kdevelop
  configure.in
  depcomp
  ChangeLog
  src/
   eleven.c
   Makefile.am
  config.guess
  ltmain.sh
  config.sub
  README
  templates/
   c
   h
  TODO
  INSTALL
  Makefile.cvs
  COPYING
  Makefile.am
  missing
  NEWS
  install-sh

Как бы все отлично.

НО!
Все вышесказанное выполняется для проекта типа: C/Simple Hello world program.

Для типа проекта: С++/CMake based projects/Hello world program
действительно не создается ни каталог проекта ни добавлеятся в указанный
репозитарий.

В момент генерации проекта в консоль выдается сообщение:
kio (KTrader): WARNING: Parsing ' and [X-KDevelop-Version] == 4' gave syntax error

В Багзилле Ubuntu (простите пожалуйста), так же жалуются на данную проблему:
https://bugs.launchpad.net/ubuntu/+source/kdevelop3/+bug/37141

Также в самой багзиле KDE есть доклад об ошибке:
http://bugs.kde.org/show_bug.cgi?id=141216
------- Comment #2 From 2007-05-03 12:45:41 -------
Зафиксили.
>>>This bug was fixed a few days ago in KDE/3.5 svn. 
------- Comment #3 From 2007-08-14 18:00:54 -------
kdevelop-3.4.1